using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.OG;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.FO
{
    [Description("作业活动记录(关键/许可)人员表")]
    public class T_FO_JOB_ACTIVITY_PERSON : MesEntityBase
    {
        [Description("作业活动记录(关键/许可)表ID")]
        [DataFieldForeignKey("Nav_JobActivityRecord", "Nav_JobActivityPerson")]
        public Guid JOB_ACTIVITY_RECORD_ID { get; set; }

        [Description("导航属性：作业活动记录(关键/许可)表")]
        public virtual T_FO_JOB_ACTIVITY_RECORD Nav_JobActivityRecord { get; set; }

        [Description("证件")]
        [FormFieldTable]
        [FormFieldQuery]
        public string JOB_DOCUMENT { get; set; }

        [Description("人员ID")]
        [DataFieldForeignKey("Nav_User")]
        public Guid? USER_ID { get; set; }

        [Description("导航属性：人员")]
        public virtual T_FM_USER Nav_User { get; set; }

        [Description("处理状态")]
        [EnumName("FOUserShiftStatusEnum")]     //为枚举（0待处理 1已处理）
        public int DEAL_STATUS { get; set; }

        [Description("人员ID")]
        [DataFieldForeignKey("Nav_RelatedUser")]
        public Guid? RELATED_USER_ID { get; set; }

        [Description("导航属性：人员")]
        public virtual T_OG_RELATED_USER Nav_RelatedUser { get; set; }
    }
}
